//---------------------------------------------------------------------
// SPACE TAPPER: effects.h
// by Omar Cornut
//---------------------------------------------------------------------
// Effects
//---------------------------------------------------------------------

// Effects Section Parameters 0 ------------ Others Parameters --------
#define EFFECT_P0_FADE_IN			(0) // <time> <target>
#define EFFECT_P0_FADE_OUT			(1) // <time> <target>
#define EFFECT_P0_MOSAIC_IN			(2) // <time>												// FIXME: handle target
#define EFFECT_P0_MOSAIC_OUT		(3) // <time>												// FIXME: handle target
#define EFFECT_P0_WINDOW_IN			(4) // <time> <start_x1> <start_y1> <start_x2> <start_y2>
#define EFFECT_P0_WINDOW_OUT		(5) // <time> <end_x1> <end_y1> <end_x2> <end_y2>

//---------------------------------------------------------------------
// FUNCTIONS
//---------------------------------------------------------------------

void	effects_setup_closure(int close, int (*callback)(void));

void	effects_start(va_list args);
void	effects_update(void);
void	effects_stop(void);

//---------------------------------------------------------------------
