//---------------------------------------------------------------------
// SPACE TAPPER: game_entity_money.h
// by Omar Cornut
//---------------------------------------------------------------------
// Game - Entity - Money handling
//---------------------------------------------------------------------

// Money Palette index
#define MONEY_PALETTE_IDX           (2)

// Money Animations
#define MONEY_ANIM_SHINING          (0)
#define MONEY_ANIM_VANISHING        (1)

// Money Sprite informations
#define MONEY_SPR_OFFSET_BAR_X_L	(-16)
#define MONEY_SPR_OFFSET_BAR_X_R	(8)
#define MONEY_SPR_OFFSET_BAR_Y      (+5)

// Money State
#define MONEY_STATE_NORMAL		    (0)
#define MONEY_STATE_VANISHING		(1)

// Miscellaneous
#define MONEY_DEFAULT_TIMEOUT		(60 * 5)

//---------------------------------------------------------------------

void			money_init_videodata(void);

//---------------------------------------------------------------------

t_entity *		money_new(int bar_idx, fs16 xf, u16 amount);
void			money_delete(t_entity *money);
void			money_update(t_entity *money);

//---------------------------------------------------------------------
