/*
** list.h for LibList 2.0
** 
** Made by omar cornut
** Login   <cornut_o@epita.fr>
** 
** Started on  Wed Dec  1 10:07:33 1999 omar cornut
** Last update Tue Apr 24 19:16:45 2001 omar cornut
*/

#ifndef __LIST_H__
#define __LIST_H__

//-------------------------------------------------------------------

typedef struct  s_list
{
  struct s_list *next;
  void          *elem;
}               t_list;

//-------------------------------------------------------------------

/* Add an element to the end of the given list */
void    list_add_to_end(t_list **list, void *elem);

/* Free a list, call given function on all elements */
void    list_free_custom(t_list **list, void (*custom_free)());

/* Return number of elements of the given list */
int     list_size(t_list *list);

//-------------------------------------------------------------------

#endif /* __LIST_H__ */
