//---------------------------------------------------------------------
// SPACE TAPPER: game_state.h
// by Omar Cornut
//---------------------------------------------------------------------
// Game State
//---------------------------------------------------------------------

typedef struct
{
	int				rules;			// Game rules
	int				score;			// Score
	s16				lives;			// Number of lives
	const ts_level *level;			// Current Level
	s16				difficulty;		// Difficulty
}					t_game_state;

//---------------------------------------------------------------------

void		game_state_newgame(int level_idx, int difficulty);

void		game_state_score_add(int delta);

//---------------------------------------------------------------------

