//---------------------------------------------------------------------
// GBALIB: debug.h
// by Omar Cornut
//---------------------------------------------------------------------
// Debugging Facilities
//---------------------------------------------------------------------
// Currently only implement	dprint()/dprintf() for Mappy emulator
//---------------------------------------------------------------------

// Define DEBUG	below to enable	debugging facilities
#define DEBUG

// Define either DEBUG_MAPPY or DEBUG_VBA to choose how to output strings
// #define DEBUG_MAPPY
#define DEBUG_VBA

//---------------------------------------------------------------------

#ifdef DEBUG

#define	DEBUG_VARS_MAX		(4)
u16		debug_vars[DEBUG_VARS_MAX];

// FUNCTION: dprint()
// Output a	string
void	dprint(const char *s);

// FUNCTION: dprintf()
// Output a	formatted string
void	dprintf(const char *format,	...);

#endif /* DEBUG	*/

//---------------------------------------------------------------------
